Bug 846824 - eog doesn't recognize nikon raw images (.nef) despite libopenraw-pixbuf-loader being installed
eog doesn't recognize nikon raw images (.nef) despite libopenraw-pixbuf-loade...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 16:14 EDT by Matt Kinni
Modified: 2013-07-31 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:03:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nikon raw photo file (12.14 MB, image/x-nikon-nef)
2012-08-09 11:13 EDT, Matt Kinni
no flags Details

  None (edit)
Description Matt Kinni 2012-08-08 16:14:28 EDT
Description of problem:

Title pretty much says it all: I have libopenraw-pixbuf-loader installed, which is supposed to provide raw image decoding functionality to eog.  However, eog displays a "Could not load image" error message.

This gets printed to the console: 

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_prepare: assertion `pixbuf != NULL' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_animation_get_height: assertion `GDK_IS_PIXBUF_ANIMATION (animation)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_animation_get_width: assertion `GDK_IS_PIXBUF_ANIMATION (animation)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_animation_is_static_image: assertion `GDK_IS_PIXBUF_ANIMATION (animation)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_animation_get_iter: assertion `GDK_IS_PIXBUF_ANIMATION (animation)' failed

(eog:17042): GdkPixbuf-CRITICAL **: gdk_pixbuf_animation_iter_get_pixbuf: assertion `GDK_IS_PIXBUF_ANIMATION_ITER (iter)' failed



Version-Release number of selected component (if applicable):
eog-3.4.3-2.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum install libopenraw-pixbuf-loader
2. eog somefile.nef
3.
  
Actual results:
Doesn't work

Expected results:


Additional info:

I don't have any other raw file formats to try, sorry.  Nautilus is able to generate thumbnails though
Comment 1 Kalev Lember 2012-08-09 03:09:07 EDT
Thank you for your report!

Unfortunately, I am on vacation through the end of August and don't have access to my development machine. Can you file a ticket at https://bugzilla.gnome.org/enter_bug.cgi?product=eog ? The upstream maintainer might get a chance to look at this earlier.

Sorry for the inconvenience.
Comment 2 Kalev Lember 2012-08-09 03:11:49 EDT
Also, would be great if you could attach an example .nef file.
Comment 3 Matt Kinni 2012-08-09 11:13:43 EDT
Created attachment 603275 [details]
nikon raw photo file

Thanks for the speedy response!  I'll try to file a bug upstream, but in the meantime I've attached a sample raw image like you asked. Enjoy your trip :)
Comment 4 Matt Kinni 2012-08-24 08:40:27 EDT
Upstream bug is https://bugzilla.gnome.org/show_bug.cgi?id=682601
Comment 5 Fedora End Of Life 2013-07-03 19:23:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 22:03:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.